Summary: Web development tool extension for firefox
Name: firefox-ext-firebug
Version: 1.9.0
Release: %mkrel 1
License: BSD
Group:	Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/firebug/
Source: http://getfirebug.com/releases/firebug/1.9/firebug-%{version}-fx.xpi
Requires:	mozilla-firefox => %{firefox_epoch}:%{firefox_version}
BuildRequires:	firefox-devel
Buildarch: noarch

%description
The most popular and powerful web development tool

    * Inspect HTML and modify style and layout in real-time
    * Use the most advanced JavaScript debugger available for any browser
    * Accurately analyze network usage and performance
    * Extend Firebug and add features to make Firebug even more powerful
    * Get the information you need to get it done with Firebug.


%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/"
mkdir -p "%{buildroot}$extdir"
cp -af %SOURCE0 "%{buildroot}$extdir/$hash.xpi"

%files
%defattr(0644,root,root,0755)
%{firefox_extdir}/*


%changelog

* Fri Jan 06 2012 fwang <fwang> 1.9.0-1.mga2
+ Revision: 192513
- new version 1.9.0 final

* Fri Jan 06 2012 tv <tv> 1.9.0-0.b5.mga2
+ Revision: 192477
- new release

* Fri Dec 16 2011 tv <tv> 1.9.0-0.b4.mga2
+ Revision: 182847
- new release

* Sun Dec 04 2011 tv <tv> 1.9.0-0.b3.mga2
+ Revision: 176554
- new release

* Sat Nov 26 2011 tv <tv> 1.9.0-0.b2.mga2
+ Revision: 172319
- new pre-release

* Fri Nov 04 2011 tv <tv> 1.8.4-1.mga2
+ Revision: 162991
- new release

* Sat Sep 17 2011 tv <tv> 1.8.3-1.mga2
+ Revision: 144379
- new release

* Thu Sep 01 2011 tv <tv> 1.8.2-1.mga2
+ Revision: 137389
- new release
- new release
- new release
- new prerelease

  + dmorgan <dmorgan>
    - Rebuild to have a higher release in cauldron

* Mon Jun 20 2011 tv <tv> 1.8.0-1.b4.mga2
+ Revision: 110739
- new prerelease
- fix release tag

* Mon Jun 20 2011 tv <tv> 1.8.0-0.%re.mga2
+ Revision: 110169
- new prerelease

* Wed May 18 2011 tv <tv> 1.7.1-1.mga1
+ Revision: 99597
- new release

* Tue Mar 22 2011 tv <tv> 1.7.0-1.mga1
+ Revision: 75573
- new release

* Thu Mar 17 2011 tv <tv> 1.7-0.X.0b3.1.mga1
+ Revision: 73366
- new beta

* Thu Mar 17 2011 tv <tv> 1.7-0.X.0b2.1.mga1
+ Revision: 73063
- new beta

* Tue Mar 08 2011 tv <tv> 1.7-0.X.0b1.1.mga1
+ Revision: 66700
- new release (alpha => beta)

* Fri Feb 18 2011 tv <tv> 1.7-0.X.0a11.1.mga1
+ Revision: 53891
- fix license
- do not own %%firefox_extdir
- new prerelease

* Tue Feb 01 2011 tv <tv> 1.7-0.X.0a9.1.mga1
+ Revision: 45598
- imported package firefox-ext-firebug

